# Markets/HTTP

## GET /quote-b-api/depth-tick

> Latest market quote query \[digital currency, forex]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-b-api/depth-tick":{"get":{"summary":"Latest market quote query [digital currency, forex]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode them upon receiving\n{\n    \"trace\": \"enim occaecat dolore esse voluptate\",\n    \"data\": {\n        \"symbol_list\": [\n            {\n                \"code\": \"GBPJPY\"\n            },\n            {\n                \"code\": \"CADJPY\"\n            }\n        ]\n    }\n}\ntrace: Trace code, used for log query, please ensure it is unique for each request\ncode: Please refer to the code list and select the code you want to query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer","description":"Return code"},"msg":{"type":"string","description":"Message corresponding to the return code"},"trace":{"type":"string","description":"Requested trace"},"data":{"type":"object","properties":{"tick_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"seq":{"type":"string","description":"Quote number"},"tick_time":{"type":"string","description":"Quote timestamp"},"bids":{"type":"array","items":{"type":"object","properties":{"price":{"type":"string","description":"Price"},"volume":{"type":"string","description":"Volume"}}},"description":"Bid List"},"asks":{"type":"array","items":{"type":"object","properties":{"price":{"type":"string","description":"Price"},"volume":{"type":"string","description":"Volume"}}},"description":"Ask List"}}}}},"required":["tick_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-stock-b-api/depth-tick

> Latest Quote Inquiry \[Stock]&#x20;

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-stock-b-api/depth-tick":{"get":{"summary":"Latest Quote Inquiry [Stock] ","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode them upon receiving\n{\n    \"trace\": \"enim occaecat dolore esse voluptate\",\n    \"data\": {\n        \"symbol_list\": [\n            {\n                \"code\": \"GBPJPY\"\n            },\n            {\n                \"code\": \"CADJPY\"\n            }\n        ]\n    }\n}\ntrace: Trace code, used for log query, please ensure it is unique for each request\ncode: Please refer to the code list and select the code you want to query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer","description":"Return code"},"msg":{"type":"string","description":"Message corresponding to the return code"},"trace":{"type":"string","description":"Requested trace"},"data":{"type":"object","properties":{"tick_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"seq":{"type":"string","description":"Quote number"},"tick_time":{"type":"string","description":"Quote timestamp"},"bids":{"type":"array","items":{"type":"object","properties":{"price":{"type":"string","description":"Price"},"volume":{"type":"string","description":"Volume"}}},"description":"Bid List"},"asks":{"type":"array","items":{"type":"object","properties":{"price":{"type":"string","description":"Price"},"volume":{"type":"string","description":"Volume"}}},"description":"Ask List"}}}}},"required":["tick_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-b-api/trade-tick

> Latest transaction price query \[digital currency, foreign exchange]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-b-api/trade-tick":{"get":{"summary":"Latest transaction price query [digital currency, foreign exchange]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode them upon receiving\n{\n    \"trace\": \"enim occaecat dolore esse voluptate\",\n    \"data\": {\n        \"symbol_list\": [\n            {\n                \"code\": \"GBPJPY\"\n            },\n            {\n                \"code\": \"CADJPY\"\n            }\n        ]\n    }\n}\ntrace: Trace code, used for log query, please ensure it is unique for each request\ncode: Please refer to the code list and select the code you want to query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer","description":"Return code"},"msg":{"type":"string","description":"Message corresponding to the return code"},"trace":{"type":"string","description":"Requested trace"},"data":{"type":"object","properties":{"tick_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"seq":{"type":"string","description":"Serial number"},"tick_time":{"type":"string","description":"Timestamp"},"price":{"type":"string","description":"Transaction price"},"volume":{"type":"string","description":"Transaction volume"},"turnover":{"type":"string","description":"Transaction amount"},"trade_direction":{"type":"integer","description":"Trading direction, 0 for default, 1 for BUY, 2 for SELL"}}}}},"required":["tick_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-stock-b-api/trade-tick

> Latest transaction price inquiry \[Stocks]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-stock-b-api/trade-tick":{"get":{"summary":"Latest transaction price inquiry [Stocks]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode them upon receiving\n{\n    \"trace\": \"enim occaecat dolore esse voluptate\",\n    \"data\": {\n        \"symbol_list\": [\n            {\n                \"code\": \"GBPJPY\"\n            },\n            {\n                \"code\": \"CADJPY\"\n            }\n        ]\n    }\n}\ntrace: Trace code, used for log query, please ensure it is unique for each request\ncode: Please refer to the code list and select the code you want to query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer","description":"Return code"},"msg":{"type":"string","description":"Message corresponding to the return code"},"trace":{"type":"string","description":"Requested trace"},"data":{"type":"object","properties":{"tick_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"seq":{"type":"string","description":"Serial number"},"tick_time":{"type":"string","description":"Timestamp"},"price":{"type":"string","description":"Transaction price"},"volume":{"type":"string","description":"Transaction volume"},"turnover":{"type":"string","description":"Transaction amount"},"trade_direction":{"type":"integer","description":"Trading direction, 0 for default, 1 for BUY, 2 for SELL"}}}}},"required":["tick_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-b-api/kline

> K-line query \[digital currency, forex]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-b-api/kline":{"get":{"summary":"K-line query [digital currency, forex]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode after receiving\n{\n    \"trace\": \"culpa cillum ea reprehenderit occaecat\",\n    \"data\": {\n        \"code\": \"GBPJPY\",\n        \"kline_type\": 1,\n        \"kline_timestamp_end\": 0,\n        \"query_kline_num\": 2, \t\"adjust_type\": 0     } } trace: tracking code, used for log query, please ensure it is unique for each request code: please refer to the code list, select the code you want to query kline_type: k-line type, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K kline_timestamp_end: the time point to query from, 0 means from current time, only valid for non-stock codes query_kline_num: how many K-lines to query, maximum of 1000 adjust_type: adjustment type, only valid for stock codes, e.g. 0: ex-rights, 1: pre-adjustment","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer"},"msg":{"type":"string"},"trace":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"kline_type":{"type":"integer","description":"K line types, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K"},"kline_list":{"type":"array","items":{"type":"object","properties":{"timestamp":{"type":"string","description":"Timestamp of the K line"},"open_price":{"type":"string","description":"Opening price of the K line"},"close_price":{"type":"string","description":"Closing price of the K line"},"high_price":{"type":"string","description":"Highest price of the K line"},"low_price":{"type":"string","description":"Lowest price of the K line"},"volume":{"type":"string","description":"Volume of the K line"},"turnover":{"type":"string","description":"Amount of transactions of the K line"}},"required":["timestamp","open_price","close_price","high_price","low_price","volume","turnover"]}}},"required":["code","kline_type","kline_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-b-api/batch-kline

> Batch query for K lines \[digital currency, forex]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-b-api/batch-kline":{"get":{"summary":"Batch query for K lines [digital currency, forex]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"trace":{"type":"string"},"data":{"type":"object","properties":{"data_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"kline_type":{"type":"integer"},"kline_timestamp_end":{"type":"integer"},"query_kline_num":{"type":"integer"},"adjust_type":{"type":"integer"}},"required":["code","kline_type","kline_timestamp_end","query_kline_num","adjust_type"]}}},"required":["data_list"]}},"required":["trace","data"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer"},"msg":{"type":"string"},"trace":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"kline_type":{"type":"integer","description":"K line types, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K"},"kline_list":{"type":"array","items":{"type":"object","properties":{"timestamp":{"type":"string","description":"Timestamp of the K line"},"open_price":{"type":"string","description":"Opening price of the K line"},"close_price":{"type":"string","description":"Closing price of the K line"},"high_price":{"type":"string","description":"Highest price of the K line"},"low_price":{"type":"string","description":"Lowest price of the K line"},"volume":{"type":"string","description":"Volume of the K line"},"turnover":{"type":"string","description":"Amount of transactions of the K line"}},"required":["timestamp","open_price","close_price","high_price","low_price","volume","turnover"]}}},"required":["code","kline_type","kline_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-stock-b-api/kline

> Query for K lines \[stocks]&#x20;

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-stock-b-api/kline":{"get":{"summary":"Query for K lines [stocks] ","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","description":"Please encode the following fields, the backend service will decode after receiving\n{\n    \"trace\": \"culpa cillum ea reprehenderit occaecat\",\n    \"data\": {\n        \"code\": \"GBPJPY\",\n        \"kline_type\": 1,\n        \"kline_timestamp_end\": 0,\n        \"query_kline_num\": 2, \t\"adjust_type\": 0     } } trace: tracking code, used for log query, please ensure it is unique for each request code: please refer to the code list, select the code you want to query kline_type: k-line type, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K kline_timestamp_end: the time point to query from, 0 means from current time, only valid for non-stock codes query_kline_num: how many K-lines to query, maximum of 1000 adjust_type: adjustment type, only valid for stock codes, e.g. 0: ex-rights, 1: pre-adjustment","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer"},"msg":{"type":"string"},"trace":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"kline_type":{"type":"integer","description":"K line types, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K"},"kline_list":{"type":"array","items":{"type":"object","properties":{"timestamp":{"type":"string","description":"Timestamp of the K line"},"open_price":{"type":"string","description":"Opening price of the K line"},"close_price":{"type":"string","description":"Closing price of the K line"},"high_price":{"type":"string","description":"Highest price of the K line"},"low_price":{"type":"string","description":"Lowest price of the K line"},"volume":{"type":"string","description":"Volume of the K line"},"turnover":{"type":"string","description":"Amount of transactions of the K line"}},"required":["timestamp","open_price","close_price","high_price","low_price","volume","turnover"]}}},"required":["code","kline_type","kline_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```

## GET /quote-stock-b-api/batch-kline

> Batch query for K-line \[stocks]

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Markets/HTTP"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/quote-stock-b-api/batch-kline":{"get":{"summary":"Batch query for K-line [stocks]","deprecated":false,"description":"","tags":["Markets/HTTP"],"parameters":[{"name":"token","in":"query","description":"If you do not know your token, please contact relevant personnel to request it","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"trace":{"type":"string"},"data":{"type":"object","properties":{"data_list":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"kline_type":{"type":"integer"},"kline_timestamp_end":{"type":"integer"},"query_kline_num":{"type":"integer"},"adjust_type":{"type":"integer"}},"required":["code","kline_type","kline_timestamp_end","query_kline_num","adjust_type"]}}},"required":["data_list"]}},"required":["trace","data"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"ret":{"type":"integer"},"msg":{"type":"string"},"trace":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string","description":"Code"},"kline_type":{"type":"integer","description":"K line types, 1 for 1-minute K, 2 for 5-minute K, 3 for 15-minute K, 4 for 30-minute K, 5 for hourly K, 6 for 2-hour K, 7 for 4-hour K, 8 for daily K, 9 for weekly K, 10 for monthly K"},"kline_list":{"type":"array","items":{"type":"object","properties":{"timestamp":{"type":"string","description":"Timestamp of the K line"},"open_price":{"type":"string","description":"Opening price of the K line"},"close_price":{"type":"string","description":"Closing price of the K line"},"high_price":{"type":"string","description":"Highest price of the K line"},"low_price":{"type":"string","description":"Lowest price of the K line"},"volume":{"type":"string","description":"Volume of the K line"},"turnover":{"type":"string","description":"Amount of transactions of the K line"}},"required":["timestamp","open_price","close_price","high_price","low_price","volume","turnover"]}}},"required":["code","kline_type","kline_list"]}},"required":["ret","msg","trace","data"]}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/manager-api/more.../markets-http.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
